/**
 * CDescription - 描述
 * @author Tevin
 */

<template>
    <view
        class="c-description"
        :class="[hasBorder?'c-description-bordered':'', enlarged?'c-description-enlarged':'']"
    >
        <view
            class="c-description-label"
            :class="'c-description-label-' + labelAlign"
        >{{label}}</view>
        <view class="c-desctiption-content">
            <slot />
        </view>
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import {} from 'taro-ui-vue';
import './CDescription.scss';

export default {
    name: 'CDescription',
    components: {},
    props: {
        // 左边标题
        label: String,
        // 标题对齐方式：left（定宽左对齐）、right（定宽右对齐）、none（无宽度）
        labelAlign: {
            type: String,
            default: 'left',
        },
        // 加大显示区域
        enlarged: {
            type: Boolean,
            default: false,
        },
        // 是否有底部边线
        hasBorder: {
            type: Boolean,
            default: false,
        },
    },
    data() {
        return {};
    },
    methods: {},
};
</script>
